Name:           fedora-asahi-remix-scripts
Version:        20240622
Release:        1%{?dist}
Summary:        Fedora Asahi Remix utility scripts

License:        MIT
URL:            https://pagure.io/fedora-asahi/fedora-asahi-remix-scripts
Source:         %{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  systemd-rpm-macros
Requires:       dnf
Requires:       systemd
Requires:       btrfs-progs

%description
Utility scripts for the Fedora Asahi Remix.

%prep
%autosetup

%build
# Nothing to build

%install
install -Dpm0644 -t %{buildroot}%{_unitdir} asahi-extras-firstboot.service
install -Dpm0644 -t %{buildroot}%{_unitdir} asahi-setup-swap-firstboot.service
install -Dpm0644 -t %{buildroot}%{_unitdir} asahi-branding-fixup.service
install -Dpm0644 -t %{buildroot}%{_unitdir} asahi-branding-fixup.timer
install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name} install-extras.sh
install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name} setup-swap.sh
install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name} fixup-branding-packages.sh
install -Dpm0755 -t %{buildroot}%{_libexecdir}/%{name} check-network-online.sh

%post
%systemd_post asahi-extras-firstboot.service
%systemd_post asahi-setup-swap-firstboot.service
%systemd_post asahi-branding-fixup.timer
%if 0%{?fedora} && 0%{?fedora} < 42
# Special case just to deal with broken branding issues
systemctl enable asahi-branding-fixup.timer
%endif

%preun
%systemd_preun asahi-extras-firstboot.service
%systemd_preun asahi-setup-swap-firstboot.service
%systemd_preun asahi-branding-fixup.timer

%postun
%systemd_postun asahi-extras-firstboot.service
%systemd_postun asahi-setup-swap-firstboot.service
%systemd_postun asahi-branding-fixup.timer

%files
%license LICENSE
%{_unitdir}/asahi-extras-firstboot.service
%{_unitdir}/asahi-setup-swap-firstboot.service
%{_unitdir}/asahi-branding-fixup.service
%{_unitdir}/asahi-branding-fixup.timer
%{_libexecdir}/%{name}/

%changelog
* Sat Jun 22 2024 Neal Gompa <ngompa@fedoraproject.org> - 20240622-1
- Switch the branding fixup service to timer-based run

* Wed May 08 2024 Neal Gompa <ngompa@fedoraproject.org> - 20240508-1
- Switch the branding fixup service to use sd-notify

* Mon May 06 2024 Neal Gompa <ngompa@fedoraproject.org> - 20240506-1
- Check network status and restart fixup service until it works

* Wed Apr 24 2024 Neal Gompa <ngompa@fedoraproject.org> - 20240424-1
- Make fixup script catch failures and make fixup unit want network-online target

* Tue Apr 23 2024 Neal Gompa <ngompa@fedoraproject.org> - 20240423-1
- Add fixup script for branding packages in pre-F40 systems

* Sat Apr 20 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 20231219-2
- Rebuild for Fedora Linux 40

* Tue Dec 19 2023 Hector Martin <marcan@fedoraproject.org> - 20231219-1
- Add SELinux policies to swap setup script

* Mon Dec 18 2023 Hector Martin <marcan@fedoraproject.org> - 20231218-1
- Add swap setup script

* Wed Sep 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 20230906-2
- Simplify logic in the install script

* Wed Sep 06 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 20230906-1
- Initial version
